Still Works Just Fine in 10.0.2 Rated 5 out of 5 stars

This add-on still works just fine in Firefox version 10.0.2 but you will need to change the <em:maxVersion> to 10.* or higher in the install.rdf file.